<?php
/**
 * The template for displaying the header
 *
 * Displays all of the head element and everything up until the "site-content" div.
 *
 * @package WordPress
 * @subpackage Twenty_Sixteen
 * @since Twenty Sixteen 1.0
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js">
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<meta name="description" content="">
    <meta name="author" content="">
	<title><?php echo get_bloginfo( 'name' ); ?></title>
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
	<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
	<script src="<?php echo bloginfo('template_directory');?>/js/jquery.nicescroll.min.js"></script>
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
	<link href="<?php echo bloginfo('template_directory');?>/css/cool-style.css" rel="stylesheet">
	<script>
	// contact us form - change out optgroup labels
$(function() {
    // search for parent_ items
    var foundin = $('option:contains("parent_")');
    $.each(foundin, function(value) {
         var updated = $(this).val().replace("parent_","");
        // find all following elements until endparent
        //$(this).nextUntil('option:contains("endparent")')
        $(this).wrapAll('<optgroup label="'+ updated +'"></optgroup');
    });
    // remove placeholder options
    $('option:contains("parent_")').remove();
    $('option:contains("endparent")').remove();
});
	</script><?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<!-- Header Start-->
<header>
	<div class="header-top">
		<div class="container">
			<div class="row">
				<div class="header-top-left col-lg-6 col-md-6 col-sm-6 col-xs-12">
					<span class="location"><i class="fa fa-map-marker"></i><?php echo of_get_option('location');?></span>
				</div>
				<div class="header-top-right col-lg-6 col-md-6 col-sm-6 col-xs-12">
					<div class="social-link">
						<span><a href="<?php of_get_option('facebook_icon');?>" class="fa fa-facebook-f"></a></span>
						<span><a href="<?php of_get_option('twitter_icon');?>" class="fa fa-twitter"></a></span>
						<span><a href="<?php of_get_option('youtube_icon');?>" class="fa fa fa-youtube"></a></span>
						<span><a href="<?php of_get_option('google_icon');?>" class="fa fa-google-plus"></a></span>
						<span><a href="<?php of_get_option('pinterest_icon');?>" class="fa fa-pinterest-p"></a></span>
					</div>
					<div class="call"><a href="tel:7607778772">Call : <?php echo of_get_option('contact_number');?></a></div>
				</div>
				<div class="clr"></div>
			</div>
		</div>
	</div>	
	<div class="header-bottom">
		<div class="container">
			<div class="row">
				<div class="logo col-md-2 col-sm-12 col-xs-12"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><img src="<?php echo of_get_option('header_logo');?>"></a></div>
				<div class="col-md-10 col-sm-12 col-xs-12">
					<nav class="navbar navbar-default">
					  <div class="">
						<!-- Brand and toggle get grouped for better mobile display -->
						<div class="navbar-header">
						  
						</div>
						<!-- Collect the nav links, forms, and other content for toggling -->
						<div class="navbar-collapse" id="bs-example-navbar-collapse-1">
						  <?php wp_nav_menu( array( 'theme_location' => 'primary','menu_class' =>'nav navbar-nav') ); ?>  
						</div><!-- /.navbar-collapse -->
					  </div><!-- /.container-fluid -->
					</nav>
				</div>
			</div>
		</div>
	</div>
</header>
<!-- Header End-->
		<div id="content" class="site-content">
